<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Employees</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
</head>
<body class="container" style="margin-top: 50px;">

    <div class="card">
        <div class="card-header">
            <ul class="nav nav-pills w-100">
                <li class="nav-pill active">
                    <a class="nav-link">Employees</a>
                </li>
                <li class="nav-pill ml-auto">
                    <a class="nav-link active"href="/employees/add">Add Employee</a>
                </li>
            </ul>
        </div>
    <div class="card-body">

       
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">id</th>
                    <th scope="col">Name</th>
                    <th width="200px">Salary</th>
                </tr>
            </thead>
            <tbody>
              <% employees.forEach(function(employee){ %> 
                <tr>
                  <td> <%= employee.emp_id %> </td>
                  <td> <%= employee.emp_name %> </td>
                  <td> <%= employee.emp_salary%> </td>
                  <td>
                    <a class="btn btn-primary" href="/employees/one/<%= employee.emp_id %>" >Info</a>
                    <a class="btn btn-success edit"  href="/employees/edit/<%= employee.emp_id %>" >Edit</a>
                    <a class="btn btn-danger delete" href="/employees/delete/<%= employee.emp_id %>" onClick="return confirm('are you sure?\n employee <%= employee.emp_name %> will be deleted ')">Delete</a>
                  </td>
                </tr>
           
              <% }); %>           
            </tbody>
        </table>
        
        </div>
    </div>

</body>
</html>